%define	name	openbox
%define	version	3.4.6.1
%define	release	%mkrel 1
%define libname %mklibname %name

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://icculus.org/openbox/
Source0:	%{name}-%{version}.tar.gz
License:	GPL
Group:		Graphical desktop/Other
Summary:	Minimalistic, highly configurable window manager
Packager:	Mario Blättermann
Requires:	%{libname} = %{version}
%ifarch i586
BuildRequires:  libx11_6-devel
%endif
%ifarch x86_64
BuildRequires:  lib64x11_6-devel
%endif
BuildRequires: 	libstartup-notification-1-devel
Buildrequires:	glib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	pango-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Minimalistic, highly configurable window manager. Legacy versions are based on the original Blackbox code, version 3.x was completely rewrited. 

%description -l de
Minimalistischer, hochgradig konfigurierbarer Windowmanager. Ältere Versionen basieren auf dem originalen Blackbox-Code, Version 3.x wurde komplett neu geschrieben.

%prep
rm -rf $RPM_BUILDROOT
%setup -q -n %{name}-%{version}

%build
%configure2_5x \
                --enable-kde \
                --enable-xinerama \
		--prefix=/usr 

%make
%install
%__rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -f %buildroot%_datadir/xsessions/*



# session file for openbox
%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
%{__cat} > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/25%{name} << EOF
NAME=%{name}
EXEC=%{_bindir}/%{name}-session
DESC=%{name} window manager
SCRIPT:
exec %{_bindir}/%{name}-session
EOF

# session file for GNOME
%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
%{__cat} > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/81%{name}_gnome << EOF
NAME=GNOME-%{name}
EXEC=%{_bindir}/%{name}-gnome-session
DESC=%{name} window manager inside GNOME
SCRIPT:
exec %{_bindir}/%{name}-gnome-session
EOF

# session file for KDE
%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
%{__cat} > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/82%{name}_kde << EOF
NAME=KDE-%{name}
EXEC=%{_bindir}/%{name}-kde-session
DESC=%{name} window manager inside KDE
SCRIPT:
exec %{_bindir}/%{name}-kde-session
EOF

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README COPYING AUTHORS CHANGELOG COMPLIANCE ./doc/*
%{_mandir}/man1/*
%{_sysconfdir}/xdg/*
%{_datadir}/locale/*
%{_datadir}/pixmaps/*
%{_datadir}/themes/*
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/25%{name}
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/81%{name}_gnome
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/82%{name}_kde
%defattr(755,root,root,755)
%{_bindir}/%{name}
%{_bindir}/%{name}-session

%package -n %{libname}
Summary:	Library for the Openbox windowmanager
Group:		System/Libraries
Requires: 	libx11_6
Requires: 	libstartup-notification-1_0
Provides:	lib%name = %version-%release

%description -n %{libname}
Library files for the Openbox windowmanager

%description -l de -n %{libname}
Bibliotheken für den Windowmanager Openbox.

%files	-n %{libname}
%{_libdir}/libob*

%package	-n %{libname}-devel
Summary:	Static libraries and headers for %{name} library
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{libname}-devel
This package includes the static libraries and header files for the
%{name} package.

%description -l de -n %{libname}-devel
Statische Bibliotheken und Header-Dateien für den Windowmanager Openbox.

%files	-n %{libname}-devel
%{_includedir}/*
%{_libdir}/pkgconfig/*

%package gnome
Summary:	Gnome session with openbox
Group:		Graphical desktop/GNOME
Requires:	gnome-session
Requires:	%{name} = %{version}

%description gnome
This package provides a Gnome session with Openbox as window manager.

%description -l de gnome
Dieses Paket stellt eine Gnome-Sitzung mit Openbox als Windowmanager bereit.

%files gnome
%defattr(644,root,root,0755)
%{_sysconfdir}/X11/wmsession.d/81openbox_gnome
%{_datadir}/gnome/*
%defattr(755,root,root,755)
%{_bindir}/openbox-gnome-session
%{_bindir}/gnome-panel-control

%package kde
Summary:	KDE session with openbox
Group:		Graphical desktop/KDE
Requires:	kdebase-progs
Requires:	%{name} = %{version}

%description kde
This package provides a KDE session with Openbox as window manager.

%description -l de kde
Dieses Paket stellt eine KDE-Sitzung mit Openbox als Windowmanager bereit.

%files kde
%defattr(644,root,root,0755)
%{_sysconfdir}/X11/wmsession.d/82openbox_kde
%defattr(755,root,root,755)
%{_bindir}/openbox-kde-session

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{name}-gnome
%{make_session}

%post -n %{name}-kde
%{make_session}

%post -n %{name}
%{make_session}

%postun -n %{name}-gnome
%{make_session}

%postun -n %{name}-kde
%{make_session}

%postun
%{make_session}

%changelog

* Sat Feb 16 2008 Mario Blättermann <mario.blaettermann@t-online.de> 3.4.6.1-1mud2008.0
- update to 3.4.6.1

* Tue Jan 22 2008 Oliver Burger <rpm@mandrivauser.de> 3.4.5-1mud2008.0
- rebuild for MUde

* Sat Jan 12 2008 Mario Blättermann <mario.blaettermann@t-online.de>
- update to 3.4.5

* Thu Jan 03 2008 Oliver Burger <rpm@mandrivauser.de> 3.4.4-1mud2008.0
- rebuild for MUde

* Sat Dec 29 2007 Mario Blättermann <mario.blaettermann@t-online.de>
- initial version
